%global pypi_name pydantic

Name:           python-%{pypi_name}
Version:        1.10.2
Release:        %mkrel 1
Summary:        Data validation using Python type hinting
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pydantic
Source0:        %{pypi_source}
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
# For check phase
BuildRequires:  python3dist(mypy)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(hypothesis)

%description
Data validation and settings management using python type hinting.

%package -n     python3-pydantic
Summary:        %{summary}
%{?python_provide:%python_provide python3-pydantic}
 
Requires:       python3-email-validator >= 1.0.3
Requires:       python3-ujson >= 1.35

%description -n python3-pydantic
Data validation and settings management using python type hinting.

%prep
%autosetup -n pydantic-%{version}
# Remove bundled egg-info
rm -rf pydantic.egg-info

%build
%py3_build

# Docs are in MarkDown, and should be added when mkdocs is packaged.

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-pydantic
%doc LICENSE
%doc README.md
%{python3_sitelib}/pydantic
%{python3_sitelib}/pydantic-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Oct 09 2022 guillomovitch <guillomovitch> 1.10.2-1.mga9
+ Revision: 1895686
- imported package python-pydantic

